/*---------------------------------------------------------------------------*\
| RANDOM OBJECTS DEMO HEADER FILE
|
|
| created: 31-Oct-90
| history: 31-Oct-90 <chriswil> created.
|
\*---------------------------------------------------------------------------*/

#ifdef WIN16
#define APIENTRY FAR PASCAL
typedef WORD WPARAM;
//#else
//typedef DWORD WPARAM;
#endif

#define DRAWCLASS  "DRAWDEMO"
#define DRAWTITLE  "Random Objects Demo"


#define OBJ_RECTANGLE       0
#define OBJ_ELLIPSE         1
#define OBJ_ROUNDRECT       2
#define OBJ_CHORD           3
#define OBJ_PIE             4


typedef struct _DRAWDATA
{
    int    nObject;
} DRAWDATA;
typedef DRAWDATA      *PDRAWDATA;
typedef DRAWDATA NEAR *NPDRAWDATA;
typedef DRAWDATA FAR  *LPDRAWDATA;


/*
** DRAW WINDOW ROUTINES (draw.c)
*/
HWND  FAR      CreateDrawWindow(HWND,int);
LONG  APIENTRY DrawProc(HWND,UINT,WPARAM,LONG);
BOOL           DrawCreateProc(HWND);
VOID           DrawDestroyProc(HWND);
BOOL           DrawCommandProc(HWND,WPARAM,LONG);
VOID           DrawPaintProc(HWND);


VOID           DrawObject(HWND);
